/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.aliyuncs.fss_api.model.v20190917;

import com.aliyuncs.RpcAcsRequest;
import com.aliyuncs.http.ProtocolType;
import com.aliyuncs.http.MethodType;

/**
 * @author auto create
 * @version 
 */
public class CreateScanTaskRequest extends RpcAcsRequest<CreateScanTaskResponse> {
	   

	private String fwVersion;

	private String fwUrl;

	private String fwName;

	private String fwId;

	private String email;
	public CreateScanTaskRequest() {
		super("Fss-api", "2019-09-17", "CreateScanTask", "FSS");
		setProtocol(ProtocolType.HTTPS);
		setMethod(MethodType.POST);
	}

	public String getFwVersion() {
		return this.fwVersion;
	}

	public void setFwVersion(String fwVersion) {
		this.fwVersion = fwVersion;
		if(fwVersion != null){
			putBodyParameter("FwVersion", fwVersion);
		}
	}

	public String getFwUrl() {
		return this.fwUrl;
	}

	public void setFwUrl(String fwUrl) {
		this.fwUrl = fwUrl;
		if(fwUrl != null){
			putBodyParameter("FwUrl", fwUrl);
		}
	}

	public String getFwName() {
		return this.fwName;
	}

	public void setFwName(String fwName) {
		this.fwName = fwName;
		if(fwName != null){
			putBodyParameter("FwName", fwName);
		}
	}

	public String getFwId() {
		return this.fwId;
	}

	public void setFwId(String fwId) {
		this.fwId = fwId;
		if(fwId != null){
			putBodyParameter("FwId", fwId);
		}
	}

	public String getEmail() {
		return this.email;
	}

	public void setEmail(String email) {
		this.email = email;
		if(email != null){
			putBodyParameter("Email", email);
		}
	}

	@Override
	public Class<CreateScanTaskResponse> getResponseClass() {
		return CreateScanTaskResponse.class;
	}

}
