/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.aliyuncs.fss_api.transform.v20190917;

import com.aliyuncs.fss_api.model.v20190917.CreateScanTaskResponse;
import com.aliyuncs.fss_api.model.v20190917.CreateScanTaskResponse.Data;
import com.aliyuncs.transform.UnmarshallerContext;


public class CreateScanTaskResponseUnmarshaller {

	public static CreateScanTaskResponse unmarshall(CreateScanTaskResponse createScanTaskResponse, UnmarshallerContext _ctx) {
		
		createScanTaskResponse.setRequestId(_ctx.stringValue("CreateScanTaskResponse.RequestId"));
		createScanTaskResponse.setCode(_ctx.integerValue("CreateScanTaskResponse.Code"));
		createScanTaskResponse.setMessage(_ctx.stringValue("CreateScanTaskResponse.Message"));
		createScanTaskResponse.setHelpUrl(_ctx.stringValue("CreateScanTaskResponse.HelpUrl"));

		Data data = new Data();
		data.setTaskId(_ctx.stringValue("CreateScanTaskResponse.Data.TaskId"));
		createScanTaskResponse.setData(data);
	 
	 	return createScanTaskResponse;
	}
}