/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.aliyuncs.fss_api.transform.v20190917;

import com.aliyuncs.fss_api.model.v20190917.QueryLicenseResponse;
import com.aliyuncs.fss_api.model.v20190917.QueryLicenseResponse.Data;
import com.aliyuncs.transform.UnmarshallerContext;


public class QueryLicenseResponseUnmarshaller {

	public static QueryLicenseResponse unmarshall(QueryLicenseResponse queryLicenseResponse, UnmarshallerContext _ctx) {
		
		queryLicenseResponse.setRequestId(_ctx.stringValue("QueryLicenseResponse.RequestId"));
		queryLicenseResponse.setCode(_ctx.integerValue("QueryLicenseResponse.Code"));
		queryLicenseResponse.setMessage(_ctx.stringValue("QueryLicenseResponse.Message"));
		queryLicenseResponse.setHelpUrl(_ctx.stringValue("QueryLicenseResponse.HelpUrl"));

		Data data = new Data();
		data.setUsedCount(_ctx.integerValue("QueryLicenseResponse.Data.UsedCount"));
		data.setMaxCount(_ctx.integerValue("QueryLicenseResponse.Data.MaxCount"));
		data.setScanningCount(_ctx.integerValue("QueryLicenseResponse.Data.ScanningCount"));
		queryLicenseResponse.setData(data);
	 
	 	return queryLicenseResponse;
	}
}