/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.aliyuncs.fss_api.transform.v20190917;

import com.aliyuncs.fss_api.model.v20190917.QueryTaskStatusResponse;
import com.aliyuncs.fss_api.model.v20190917.QueryTaskStatusResponse.Data;
import com.aliyuncs.transform.UnmarshallerContext;


public class QueryTaskStatusResponseUnmarshaller {

	public static QueryTaskStatusResponse unmarshall(QueryTaskStatusResponse queryTaskStatusResponse, UnmarshallerContext _ctx) {
		
		queryTaskStatusResponse.setRequestId(_ctx.stringValue("QueryTaskStatusResponse.RequestId"));
		queryTaskStatusResponse.setCode(_ctx.integerValue("QueryTaskStatusResponse.Code"));
		queryTaskStatusResponse.setMessage(_ctx.stringValue("QueryTaskStatusResponse.Message"));
		queryTaskStatusResponse.setHelpUrl(_ctx.stringValue("QueryTaskStatusResponse.HelpUrl"));

		Data data = new Data();
		data.setScanStatus(_ctx.stringValue("QueryTaskStatusResponse.Data.ScanStatus"));
		data.setDescription(_ctx.stringValue("QueryTaskStatusResponse.Data.Description"));
		data.setScannedRate(_ctx.stringValue("QueryTaskStatusResponse.Data.ScannedRate"));
		queryTaskStatusResponse.setData(data);
	 
	 	return queryTaskStatusResponse;
	}
}